Cantera 2.6.0

Classes | Namespaces | Typedefs | Variables
TransportBase.h File Reference

Headers for the Transport object, which is the virtual base class for all transport property evaluators and also includes the tranprops group definition (see Transport Properties for Species in Phases and Transport ) . More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for TransportBase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Transport
| Base class for transport property managers. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Typedefs
typedef int | VelocityBasis
| The diffusion fluxes must be referenced to a particular reference fluid velocity. More...

## Variables
const VelocityBasis | VB_MASSAVG = -1
const VelocityBasis | VB_MOLEAVG = -2
| Diffusion velocities are based on the mole averaged velocities. More...
const VelocityBasis | VB_SPECIES_0 = 0
| Diffusion velocities are based on the relative motion wrt species 0. More...
const VelocityBasis | VB_SPECIES_1 = 1
| Diffusion velocities are based on the relative motion wrt species 1. More...
const VelocityBasis | VB_SPECIES_2 = 2
| Diffusion velocities are based on the relative motion wrt species 2. More...
const VelocityBasis | VB_SPECIES_3 = 3
| Diffusion velocities are based on the relative motion wrt species 3. More...

## Detailed Description

Headers for the Transport object, which is the virtual base class for all transport property evaluators and also includes the tranprops group definition (see Transport Properties for Species in Phases and Transport ) .

Definition in file TransportBase.h.